---
title: "Orders"
description: "Orders, their files and downloads, access, licence keys and download emails."
url: https://docs.filemonk.io/v2/api-reference/orders/
api: "API v2 reference"
---

# Orders

Orders, their files and downloads, access, licence keys and download emails.

## The order object

- `id` (string, nullable, required): e.g. `3e84eb8d-e1d9-4e92-a4b2-a419c7f1122f`
- `shopify_order_id` (string, nullable, required): e.g. `gid://shopify/Order/7555375595815`
- `name` (string, nullable, required): e.g. `#1077`
- `confirmation_number` (string, nullable, required): e.g. `H5CZG3GZX`
- `ordered_at` (string, nullable, required): e.g. `2026-10-26T14:19:15Z`
- `customer` (object, required)
  - `id` (string, nullable, required): e.g. `b797db3a-cbc3-4643-804f-adf34c7f08d7`
  - `shopify_customer_id` (string, nullable, required): e.g. `gid://shopify/Customer/9026290417959`
  - `email` (string, nullable, required): e.g. `shopper@example.com`
  - `phone` (any, required)
  - `first_name` (string, nullable, required): e.g. `Jane`
  - `last_name` (string, nullable, required): e.g. `Doe`
  - `country_code` (any, required)
  - `locale` (any, required)
  - `unsubscribed` (boolean, nullable, required): e.g. `false`
- `total` (object, required)
  - `amount` (string, nullable, required): e.g. `1142.89`
  - `currency` (string, nullable, required): e.g. `INR`
- `status` (object, required)
  - `financial` (string, nullable, required): e.g. `paid`
  - `fulfillment` (string, nullable, required): e.g. `unfulfilled`
  - `cancelled_at` (any, required)
  - `paid_at` (string, nullable, required): e.g. `2026-10-30T21:48:16Z`
  - `flagged_as_fraud` (boolean, nullable, required): e.g. `false`
  - `fraud_check_completed` (boolean, nullable, required): e.g. `false`
  - `marked_fulfilled_at` (any, required)
  - `delivery_conditions_met` (boolean, nullable, required): e.g. `false`
- `access` (object, required)
  - `state` (string, nullable, required): e.g. `active`
  - `revoked_at` (any, required)
  - `available_until` (any, required)
  - `download_reset_at` (string, nullable, required): e.g. `2026-10-30T22:19:10Z`
  - `downloads_count` (integer, nullable, required): e.g. `0`
- `delivery` (object, required)
  - `email_sent_at` (string, nullable, required): e.g. `2026-10-30T22:34:30Z`
  - `delivery_failed_at` (any, required)
  - `download_page_url` (string, nullable, required): e.g. `https://example-store.myshopify.com/apps/filemonk/orders/…`
  - `source` (string, nullable, required): e.g. `webhook`
- `line_items` (array of objects, required)
  - `id` (string, nullable, required): e.g. `5956bb41-dc65-45d5-b7d7-25f570598468`
  - `digital_product_id` (string, nullable, required): e.g. `7ea3c05d-6f29-42b6-b24f-43260caeaa32`
  - `title` (string, nullable, required): e.g. `Watercolour Course`
  - `sku` (string, nullable, required): e.g. `b0f5fbd0-f231-470f-b3d1-a392e3136a50`
  - `quantity` (integer, nullable, required): e.g. `2`
  - `shopify_line_item_id` (string, nullable, required): e.g. `gid://shopify/LineItem/18329329434919`
  - `shopify_product_id` (string, nullable, required): e.g. `gid://shopify/Product/9642107044135`
  - `shopify_variant_id` (string, nullable, required): e.g. `gid://shopify/ProductVariant/49417714893095`
  - `attached_to_this_order_only` (boolean, nullable, required): e.g. `false`
  - `access` (object, required)
    - `revoked` (boolean, nullable, required): e.g. `false`
    - `revoked_at` (any, required)
  - `preorder` (object, required)
    - `enabled` (boolean, nullable, required): e.g. `false`
    - `launch_at` (any, required)
    - `released` (boolean, nullable, required): e.g. `true`
    - `message` (any, required)
  - `files` (array of objects, required)
    - `id` (any, required)
    - `asset` (object, required)
      - `id` (string, nullable, required): e.g. `7ea42f2a-6dbe-459c-b8a4-27b0eb823e52`
      - `name` (string, nullable, required): e.g. `price-list.csv`
      - `type` (string, nullable, required): e.g. `file`
    - `download_count` (integer, nullable, required): e.g. `0`
    - `watermark` (object, required)
      - `enabled` (boolean, nullable, required): e.g. `false`
      - `status` (string, nullable, required): e.g. `not_required`
    - `licence_keys` (array of anys, required)
- `eu_withdrawal` (object, required)
  - `consent_required` (boolean, nullable, required): e.g. `false`
  - `consented_at` (any, required)
  - `consent_text` (any, required)
- `shopify_tags` (array of anys, required)
- `imported_at` (any, required)
- `deleted_at` (any, required)
- `created_at` (string, nullable, required): e.g. `2026-10-26T14:19:29Z`
- `updated_at` (string, nullable, required): e.g. `2026-10-30T22:19:10Z`

```json
{
  "id": "3e84eb8d-e1d9-4e92-a4b2-a419c7f1122f",
  "shopify_order_id": "gid://shopify/Order/7555375595815",
  "name": "#1077",
  "confirmation_number": "H5CZG3GZX",
  "ordered_at": "2026-10-26T14:19:15Z",
  "customer": {
    "id": "b797db3a-cbc3-4643-804f-adf34c7f08d7",
    "shopify_customer_id": "gid://shopify/Customer/9026290417959",
    "email": "shopper@example.com",
    "phone": null,
    "first_name": "Jane",
    "last_name": "Doe",
    "country_code": null,
    "locale": null,
    "unsubscribed": false
  },
  "total": {
    "amount": "1142.89",
    "currency": "INR"
  },
  "status": {
    "financial": "paid",
    "fulfillment": "unfulfilled",
    "cancelled_at": null,
    "paid_at": "2026-10-30T21:48:16Z",
    "flagged_as_fraud": false,
    "fraud_check_completed": false,
    "marked_fulfilled_at": null,
    "delivery_conditions_met": false
  },
  "access": {
    "state": "active",
    "revoked_at": null,
    "available_until": null,
    "download_reset_at": "2026-10-30T22:19:10Z",
    "downloads_count": 0
  },
  "delivery": {
    "email_sent_at": "2026-10-30T22:34:30Z",
    "delivery_failed_at": null,
    "download_page_url": "https://example-store.myshopify.com/apps/filemonk/orders/3e84eb8d-e1d9-4e92-a4b2-a419c7f1122f",
    "source": "webhook"
  },
  "line_items": [
    {
      "id": "5956bb41-dc65-45d5-b7d7-25f570598468",
      "digital_product_id": "7ea3c05d-6f29-42b6-b24f-43260caeaa32",
      "title": "Watercolour Course",
      "sku": "b0f5fbd0-f231-470f-b3d1-a392e3136a50",
      "quantity": 2,
      "shopify_line_item_id": "gid://shopify/LineItem/18329329434919",
      "shopify_product_id": "gid://shopify/Product/9642107044135",
      "shopify_variant_id": "gid://shopify/ProductVariant/49417714893095",
      "attached_to_this_order_only": false,
      "access": {
        "revoked": false,
        "revoked_at": null
      },
      "preorder": {
        "enabled": false,
        "launch_at": null,
        "released": true,
        "message": null
      },
      "files": [
        {
          "id": null,
          "asset": {
            "id": "7ea42f2a-6dbe-459c-b8a4-27b0eb823e52",
            "name": "price-list.csv",
            "type": "file"
          },
          "download_count": 0,
          "watermark": {
            "enabled": false,
            "status": "not_required"
          },
          "licence_keys": []
        },
        {
          "id": "66e2751c-9812-422c-864d-f8ce6a95c605",
          "asset": {
            "id": "96fbe30b-c819-4cb8-9666-814c0c8853f1",
            "name": "Beginner's Guide.pdf",
            "type": "file"
          },
          "download_count": 0,
          "watermark": {
            "enabled": true,
            "status": "ready"
          },
          "licence_keys": []
        }
      ]
    }
  ],
  "eu_withdrawal": {
    "consent_required": false,
    "consented_at": null,
    "consent_text": null
  },
  "shopify_tags": [],
  "imported_at": null,
  "deleted_at": null,
  "created_at": "2026-10-26T14:19:29Z",
  "updated_at": "2026-10-30T22:19:10Z"
}
```

## Endpoints

- `GET /orders`: [List orders](https://docs.filemonk.io/v2/api-reference/orders/list-orders.md)
- `POST /orders`: [Create an order](https://docs.filemonk.io/v2/api-reference/orders/create-an-order.md)
- `GET /orders/{id}`: [Get an order](https://docs.filemonk.io/v2/api-reference/orders/get-an-order.md)
- `PATCH /orders/{id}`: [Update an order](https://docs.filemonk.io/v2/api-reference/orders/update-an-order.md)
- `DELETE /orders/{id}`: [Delete an order](https://docs.filemonk.io/v2/api-reference/orders/delete-an-order.md)
- `GET /orders/{id}/download_logs`: [List download logs for an order](https://docs.filemonk.io/v2/api-reference/orders/list-download-logs-for-an-order.md)
- `GET /orders/{id}/downloads`: [Get downloads for an order](https://docs.filemonk.io/v2/api-reference/orders/get-downloads-for-an-order.md)
- `GET /orders/{id}/emails`: [List emails for an order](https://docs.filemonk.io/v2/api-reference/orders/list-emails-for-an-order.md)
- `POST /orders/{id}/files/attach`: [Attach files to an order](https://docs.filemonk.io/v2/api-reference/orders/attach-files-to-an-order.md)
- `POST /orders/{id}/files/detach`: [Detach files from an order](https://docs.filemonk.io/v2/api-reference/orders/detach-files-from-an-order.md)
- `POST /orders/{id}/fulfil`: [Fulfil an order](https://docs.filemonk.io/v2/api-reference/orders/fulfil-an-order.md)
- `PUT /orders/{id}/licences/{licence_id}`: [Assign a specific licence key to an order](https://docs.filemonk.io/v2/api-reference/orders/assign-a-specific-licence-key-to-an-order.md)
- `DELETE /orders/{id}/licences/{licence_id}`: [Remove a licence key from an order](https://docs.filemonk.io/v2/api-reference/orders/remove-a-licence-key-from-an-order.md)
- `POST /orders/{id}/licences/assign`: [Assign licence keys to an order](https://docs.filemonk.io/v2/api-reference/orders/assign-licence-keys-to-an-order.md)
- `PATCH /orders/{id}/line_items/{line_item_id}`: [Update an order line item](https://docs.filemonk.io/v2/api-reference/orders/update-an-order-line-item.md)
- `POST /orders/{id}/reset_downloads`: [Reset download counts for an order](https://docs.filemonk.io/v2/api-reference/orders/reset-download-counts-for-an-order.md)
- `POST /orders/{id}/resync`: [Resync an order from Shopify](https://docs.filemonk.io/v2/api-reference/orders/resync-an-order-from-shopify.md)
- `POST /orders/{id}/send_email`: [Send the download email for an order](https://docs.filemonk.io/v2/api-reference/orders/send-the-download-email-for-an-order.md)
- `GET /orders/{id}/troubleshoot`: [Troubleshoot an order](https://docs.filemonk.io/v2/api-reference/orders/troubleshoot-an-order.md)
- `POST /orders/send_emails`: [Send download emails for many orders](https://docs.filemonk.io/v2/api-reference/orders/send-download-emails-for-many-orders.md)
